@echo off
cd apk合拼
echo     正在将 %~n1.odex 转化为 classes.dex ...
java -jar baksmali.jar -d temp_framework -x %1
java -Xmx512M -jar smali.jar out -o 要合拼的目录\system\framework\classes.dex
del %1 /Q
rd out /Q /S
echo     正在将 %~n1.jar 与 classes.dex 合并...
cd 要合拼的目录\system\framework
zip %~n1.jar -u classes.dex>nul
del classes.dex /Q
cd ..\..\..\..\
echo.